AIServiceTypeValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AIServiceTypeValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AIServiceTypeValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIServiceTypeValue

All Implemented Interfaces:
  java.io.Serializable

    public class AIServiceTypeValue

extends java.lang.Object
implements java.io.Serializable

Value object for service type

See Also:
  Serialized Form

Constructor Summary
`AIServiceTypeValue()`

Method Summary
`java.lang.String[]` | `getControlActions()`
`byte[]` | `getCustomProperties()`
`java.lang.String` | `getDescription()`
`byte[]` | `getMeasurements()`
`java.lang.String` | `getName()`
`byte[]` | `getPluginClasses()`
`java.lang.String` | `getProductName()`
`byte[]` | `getProperties()`
`int` | `getServerId()`
`java.lang.String` | `getServiceName()`
`void` | `setControlActions(java.lang.String[] controlActions)`
`void` | `setCustomProperties(byte[] customProperties)`
`void` | `setDescription(java.lang.String description)`
`void` | `setMeasurements(byte[] measurements)`
`void` | `setName(java.lang.String name)`
`void` | `setPluginClasses(byte[] pluginClasses)`
`void` | `setProductName(java.lang.String productName)`
`void` | `setProperties(byte[] properties)`
`void` | `setServerId(int serverId)`
`void` | `setServiceName(java.lang.String serviceName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AIServiceTypeValue

    public AIServiceTypeValue()

Method Detail

### getControlActions

    public java.lang.String[] getControlActions()

  Returns:
    The set of control action names

### getCustomProperties

    public byte[] getCustomProperties()

  Returns:
    The custom properties

### getDescription

    public java.lang.String getDescription()

  Returns:
    The service type description

### getMeasurements

    public byte[] getMeasurements()

  Returns:
    The measurements for this service type

### getName

    public java.lang.String getName()

  Returns:
    The name of this service type

### getPluginClasses

    public byte[] getPluginClasses()

  Returns:
    The plugins for this service type.

### getProductName

    public java.lang.String getProductName()

  Returns:
    The name of the product containing this service type

### getProperties

    public byte[] getProperties()

  Returns:
    The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### getServerId

    public int getServerId()

  Returns:
    The ID of the server this service type belongs to

### getServiceName

    public java.lang.String getServiceName()

  Returns:
    The unique service type name (unique with respect to server type)

### setControlActions

    public void setControlActions(java.lang.String[] controlActions)

  Parameters:
    `controlActions` - The set of control action names

### setCustomProperties

    public void setCustomProperties(byte[] customProperties)

  Parameters:
    `customProperties` - The custom properties

### setDescription

    public void setDescription(java.lang.String description)

  Parameters:
    `description` - The service type description

### setMeasurements

    public void setMeasurements(byte[] measurements)

  Parameters:
    `measurements` - The measurements for this service type

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name of this service type

### setPluginClasses

    public void setPluginClasses(byte[] pluginClasses)

  Parameters:
    `pluginClasses` - The plugins for this service type.

### setProductName

    public void setProductName(java.lang.String productName)

  Parameters:
    `productName` - The name of the product containing this service type

### setProperties

    public void setProperties(byte[] properties)

  Parameters:
    `properties` - The properties of this service type (the ones used internally). This is equivalent to the direct tag in the service XML (as opposed to the tag which defines custom properties).

### setServerId

    public void setServerId(int serverId)

  Parameters:
    `serverId` - The ID of the server this service type belongs to

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Parameters:
    `serviceName` - The unique service type name (unique with respect to server type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.